Changes
=======

0.10
----

* Dropped support for Python 3.7.
* Added support for Python 3.12.
* Added type hints.
* Improved documentation.
* Always call CleanAndRepair after parsing.
* Fixed handling char_encoding argument.

0.9
---

* Dropped support for Python 3.6.
* Added support for Python 3.10 and 3.11.
* Compatibility with html-tidy 5.8.0.
* Added support for specifying library full path using TIDY_LIBRARY_FULL_PATH.
* Added getTidyVersion to get libtidy version.

0.8
---

* Code cleanups.
* Fixed typo in 0.7 release notes.

0.7
---

* Dropped support for Python 2.

0.6
---

* First official release PyPI.

0.5
---

* Fixed compatibility with Debian patched libtidy5deb1.

0.4
---

* Compatibility with html-tidy 5.6.0.
* Added support for Python 3.

0.3
---

* Initial release under new maintainer.
* Incorporated Debian patches.
* Various compatiblity fixes (eg. with 64-bit machines).
* Various code cleanups.
* New test suite.
* New documentation.
* Support for new HTML 5 tidy library.
